﻿# レイヤ変更ツール

## バージョン
1.0.0

## 概要
本ツールは、iCAD SXの要素別（3D）にレイヤを一括変更するツールです。

## 導入前の注意事項
- 導入前に必ず、**iCADインストールフォルダごとバックアップ**を作成してください。
- 本ツールはiCADのSDKを利用して作成されています。あらかじめiCAD SX の.NET連携機能を有効にしてください。
  - .NET連携機能有効化の手順
  1. スタートメニュー → iCAD SX 環境設定ツール → .NET連携セットアップ を起動する。
  2. ポート番号を「3999」（初期設定値のまま）にし、「.NET連携を有効にする」のチェックをONにする。
- 本ツールはあらかじめテストをしてから配布をしておりますが、万が一損害が生じた場合の一切の責任を負いかねますので、ご了承ください。
- 一部のウィルス対策ソフトで「IDP.Generic」といウィルスが誤検知されることが確認されています。お手数ですがウィルス対策ソフトの設定で本プログラムを例外に指定するようお願いいたします。

## テスト実施済環境
### iCAD SXのバージョン
V8L3
### OS
Windows 10

## インストール
1. ダウンロードファイルを解凍する
1. ChangeLayer3D.exeを**iCADインストールフォルダ\USER\BIN**へコピー
1. ChangeLayer3D.iniを**iCADインストールフォルダ\USER\ETC**へコピー  
任意フォルダへコピーしたい場合、exe起動後ダイアログの **設定** → **ファイルパス** を設定してください。

## 使用方法
1. ChangeLayer3D.iniの設定
	##### [Layer]セクター
	- 各要素タイプの右辺にレイヤ番号（０～２５５）を記入する（例：type001 = **255**）  
	※「０」の場合は変更しない
	
	##### [LayerName]セクター
	- 該当レイヤ番号の右辺にレイヤ名を記入する（例：Layer255 = **非表示**）  
	※shift-jisコードで64バイトまで。超えた場合は64バイト以降をカット

1. ChangeLayer3D.exeの実行
	##### コマンドメニューもしくはアイコンメニューへ登録
	- 任意でコマンドメニューもしくはアイコンメニューへ登録してください。
	##### ChangeLayer3D.exeの実行
	- 登録したメニュー（コマンドメニュー、アイコンメニュー）　　
	- iCAD_キー入力領域からのexe実行[;EXEC /%ICADDIR%\USER\BIN\ChangeLayer3D.exe/ @GO]　
	- iCAD_アプリ実行
	- exeの直接起動  
	上記各方法により実行できます。

## ダイアログ画面について
### 「レイヤ一括変更：確認」
- 実行時の最初に表示されるダイアログです。
- パーツに含まれる全ての要素を処理したい場合は　[はい]　を選択  
**注：大規模アセンブリでは時間がかかります**
- 未パーツ化の要素のみを処理したい場合は　[いいえ]　を選択
- 処理を中止したい場合は　[キャンセル] を選択

### 「設定済レイヤ名：確認」
- **iCAD側設定済みレイヤ名との競合**があった場合に表示されます。
- 「いいえ」を選択した場合、レイヤ名は変更されません。  
（対象要素のレイヤ番号は変更されます。）

### 「レイヤ設定済：確認」
- 対象要素の**レイヤ番号が「１」以外に設定されている場合**、表示されます。
- 変更する場合は「はい」,変更しない場合は「いいえ」を選択してください。

### 処理ステータス画面の表示が消えると終了です　　
　　


## 著作権/利用条件/免責等について
* 本プログラムに関する著作権等の知的財産権はものづくりのススメ-しれっとプロジェクトに帰属します
* 本プログラムは一切の保証なく、現状で提供されるものであり、正常動作等について作者は保証を行いません
* 本プログラムに関して発生するいかなる問題も利用者の責任により解決されるものとします
* 本プログラムに関して発生するいかなる損害に対しても作者は責任を負いません

上記に同意される場合のみ、本プログラムをご利用ください

## 連絡先
本プログラムに関する不具合、ご要望等は[「ものづくりのススメ」お問い合わせフォーム](https://forms.gle/99xG3r8NDN7NX5QH9)よりご連絡ください。

---
Copyright (c) 2023 ものづくりのススメ-しれっとプロジェクト all aights reserved. 